<?php
/**
 * Language labels for database tables/fields belonging to extension "calendar"
 * 
 * This file is detected by the translation tool.
 */

$LOCAL_LANG = Array (
	'default' => Array (
		'tx_calendar_cat' => 'Extended Calendar Category',
		'tx_calendar_cat.title' => 'Title',
		'tx_calendar_cat.image' => 'Category Image',
		'tx_calendar_organizer' => 'Extended Calendar Organizer',
		'tx_calendar_organizer.title' => 'Organizer Name',
		'tx_calendar_organizer.image' => 'Organizer Image',
		'tx_calendar_organizer.email' => 'Email Address',
		'tx_calendar_organizer.url' => 'Webpage of Organizer, if any',
		'tx_calendar_organizer.url_text' => 'Webpage Title',
		'tx_calendar_item' => 'Extended Calendar Item',
		'tx_calendar_item.title' => 'Title',
		'tx_calendar_item.start_date' => '(Start-)Date',
		'tx_calendar_item.start_time' => 'Time (Start)',
		'tx_calendar_item.end_date' => 'Date (End)',
		'tx_calendar_item.end_time' => 'Time (End)',
		'tx_calendar_item.organizer_mm' => 'Organized by',
		'tx_calendar_item.organizer' => 'Organized by (overwrite values from above, otherwise leave empty)',
		'tx_calendar_item.organizer_email' => 'Organizer Email (overwrite)',
		'tx_calendar_item.organizer_url' => 'Organizer Webpage (overwrite)',
		'tx_calendar_item.organizer_url_text' => 'Organizer Webpage Title (overwrite)',
		'tx_calendar_item.teaser' => 'Teaser',
		'tx_calendar_item.descr' => 'Description',
		'tx_calendar_item.category' => 'Category',
		'tx_calendar_item.place' => 'Location',
		'tx_calendar_item.address' => 'Address',
		'tx_calendar_item.moreinfo' => 'More info',
		'tx_calendar_item.url' => 'Webpage of event, if any',
		'tx_calendar_item.url_text' => 'Webpage Title',
		'tx_calendar_item.image' => 'Image of event',
		'tt_content.list_type' => 'Extended Calendar',
		'tt_content.tx_calendar_whattoshow' => 'What to display?',
		'tt_content.tx_calendar_whattoshow.I.1' => 'Month View (regular view)',
		'tt_content.tx_calendar_whattoshow.I.2' => 'Week View',
		'tt_content.tx_calendar_whattoshow.I.3' => 'Day View',
		'tt_content.tx_calendar_whattoshow.I.5' => 'Upcoming Events',
	),
	'dk' => Array (
	),
	'de' => Array (
	),
	'no' => Array (
	),
	'it' => Array (
	),
	'fr' => Array (
	),
	'es' => Array (
	),
	'nl' => Array (
	),
	'cz' => Array (
	),
	'pl' => Array (
	),
	'si' => Array (
	),
	'fi' => Array (
		'tx_calendar_cat' => 'Laajennetun Kalenterin luokka',
		'tx_calendar_cat.title' => 'Otsikko',
		'tx_calendar_cat.image' => 'Luokan kuva',
		'tx_calendar_organizer' => 'Laajennetun Kalenterin Jrjestely',
		'tx_calendar_organizer.title' => 'Jrjestelijn nimi',
		'tx_calendar_organizer.image' => 'Jrjestelijn kuva',
		'tx_calendar_organizer.email' => 'Shkpostiosoite',
		'tx_calendar_organizer.url' => 'Jrjestelijn kotisivu, jos on',
		'tx_calendar_organizer.url_text' => 'Websivun otsikko',
		'tx_calendar_item' => 'Laajennetun Kalenterin sislt',
		'tx_calendar_item.title' => 'Otsikko',
		'tx_calendar_item.start_date' => '(Aloitus)-piv',
		'tx_calendar_item.start_time' => 'Aika (alku)',
		'tx_calendar_item.end_date' => 'Pivys (loppu)',
		'tx_calendar_item.end_time' => 'Aika (loppu)',
		'tx_calendar_item.organizer_mm' => 'jrjestnyt',
		'tx_calendar_item.organizer' => 'Jrjestj',
		'tx_calendar_item.organizer_email' => 'Jrjestjn shkpostiosoite',
		'tx_calendar_item.organizer_url' => 'Jrjestelijn kotisivu (kirjoittaa uudestaan)',
		'tx_calendar_item.organizer_url_text' => 'Jrjestelijn kotisivun otsikko (kirjoittaa uudestaan)',
		'tx_calendar_item.teaser' => 'Huokutin',
		'tx_calendar_item.descr' => 'Kuvaus',
		'tx_calendar_item.category' => 'Luokka',
		'tx_calendar_item.place' => 'Paikka',
		'tx_calendar_item.address' => 'Osoite',
		'tx_calendar_item.moreinfo' => 'Listiedot',
		'tx_calendar_item.url' => 'Tapahtuman kotisivut',
		'tx_calendar_item.url_text' => 'Kotisivun otsikko',
		'tx_calendar_item.image' => 'Tapahtuman kuva',
		'tt_content.list_type' => 'Laajennettu Kalenteri',
		'tt_content.tx_calendar_whattoshow' => 'Mit nytetn?',
		'tt_content.tx_calendar_whattoshow.I.1' => 'Kuukausinytt',
		'tt_content.tx_calendar_whattoshow.I.2' => 'Viikkonytt',
		'tt_content.tx_calendar_whattoshow.I.3' => 'Pivnytt',
		'tt_content.tx_calendar_whattoshow.I.5' => 'Tulevat tapahtumat',
	),
	'tr' => Array (
	),
	'se' => Array (
	),
	'pt' => Array (
	),
	'ru' => Array (
	),
	'ro' => Array (
	),
	'ch' => Array (
	),
	'sk' => Array (
	),
	'lt' => Array (
	),
	'is' => Array (
	),
	'hr' => Array (
	),
	'hu' => Array (
	),
	'gl' => Array (
	),
	'th' => Array (
	),
	'gr' => Array (
	),
	'hk' => Array (
	),
	'eu' => Array (
	),
	'bg' => Array (
	),
	'br' => Array (
		'tx_calendar_cat' => 'Categoria de Calendrio Extendido',
		'tx_calendar_cat.title' => 'Ttulo',
		'tx_calendar_cat.image' => 'Imagem da Categoria',
		'tx_calendar_organizer' => 'Organizador(a) do Calendrio Extendido',
		'tx_calendar_organizer.title' => 'Nome do(a) Organizador(a)',
		'tx_calendar_organizer.image' => 'Imagem do(a) Organizador(a)',
		'tx_calendar_organizer.email' => 'E-mail',
		'tx_calendar_organizer.url' => 'Site do(a) Organizador(a), se houver',
		'tx_calendar_organizer.url_text' => 'Ttulo do Site',
		'tx_calendar_item' => 'tem de Calendrio Extendido',
		'tx_calendar_item.title' => 'Ttulo',
		'tx_calendar_item.start_date' => 'Data (Incio)',
		'tx_calendar_item.start_time' => 'Horrio (Incio)',
		'tx_calendar_item.end_date' => 'Data (Encerramento)',
		'tx_calendar_item.end_time' => 'Horrio (Encerramento)',
		'tx_calendar_item.organizer_mm' => 'Organizado por',
		'tx_calendar_item.organizer' => 'Organizado por (substituir valores de cima, seno deixar vazio)',
		'tx_calendar_item.organizer_email' => 'E-mail do(a) organizador(a) (substituir)',
		'tx_calendar_item.organizer_url' => 'Site do(a) organizador(a) (substituir)',
		'tx_calendar_item.organizer_url_text' => 'Ttulo do Site do(a) Organizador(a) (substituir)',
		'tx_calendar_item.teaser' => 'Manchete',
		'tx_calendar_item.descr' => 'Descrio',
		'tx_calendar_item.category' => 'Categoria',
		'tx_calendar_item.place' => 'Local',
		'tx_calendar_item.address' => 'Endereo',
		'tx_calendar_item.moreinfo' => 'Mais informaes',
		'tx_calendar_item.url' => 'Pgina do evento, se houver',
		'tx_calendar_item.url_text' => 'Ttulo da pgina',
		'tx_calendar_item.image' => 'Imagem do evento',
		'tt_content.list_type' => 'Calendrio Extendido',
		'tt_content.tx_calendar_whattoshow' => 'O que exibir?',
		'tt_content.tx_calendar_whattoshow.I.1' => 'Visualizao por Ms (visualizao padro)',
		'tt_content.tx_calendar_whattoshow.I.2' => 'Visualizao por Semana',
		'tt_content.tx_calendar_whattoshow.I.3' => 'Visualizao por Dia',
		'tt_content.tx_calendar_whattoshow.I.5' => 'Prximos Eventos',
	),
	'et' => Array (
	),
	'ar' => Array (
	),
	'he' => Array (
	),
	'ua' => Array (
	),
	'lv' => Array (
	),
	'jp' => Array (
	),
	'vn' => Array (
	),
);
?>